<div class="admin-container">
    <app-admin-sidebar></app-admin-sidebar>
    <div class="admin-main-container">
        <button mat-button (click)="openDialog()" class="add-btn btn">Add</button>
        <table mat-table  [dataSource]="tableDataSource">

            <ng-container matColumnDef="name">
                <th mat-header-cell-class="display-col" *matHeaderCellDef>Doctors Name</th>
                <td mat-cell class="display-col" *matCellDef="let element">{{element.name}}</td>
            </ng-container>

            <ng-container matColumnDef="speciality">
                <th mat-header-cell-class="display-col" *matHeaderCellDef>Speciality</th>
                <td mat-cell class="display-col" *matCellDef="let element">{{element.speciality}}</td>
            </ng-container>

            <ng-container matColumnDef="editBtnColumn">
                <th mat-header-cell-class='display-col' *matHeaderCellDef>Edit Btn</th>
                <td mat-cell class="display-col" *matCellDef="let element">
                    <button mat-btn class="edit-btn btn" (click)="onEditClick(element)">Edit</button>
                </td>
            </ng-container>

            <ng-container matColumnDef="deleteBtnColumn">
                <th mat-header-cell-class='display-col' *matHeaderCellDef>Delete Btn</th>
                <td mat-cell class="display-col" *matCellDef="let element">
                    <button mat-btn class="delete-btn btn" (click)="onDeleteClick(element)">Delete</button>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
            <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>

        </table>
        <mat-paginator class='paginator' [length]="5" [pageSize]="5" [pageSizeOptions]="[5,10,15]"
            aria-label="select page">
        </mat-paginator>
    </div>
</div>